Subject: Re: bug#22763: 25.1.50; Feature Request -- A faster method to obtain line number at position.

From: Eli Zaretskii <[email-masked]>
Date: Thu, 20 May 2021 12:08:43 +0300

> Date: Thu, 20 May 2021 07:35:21 +0000
> From:  Ben Levy via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> > No, because 'start' is the byte position.
> 
> Oh, I was confused, sorry. In that case, I think the issue I'm having
> is that it still compares to BEGV even when absolute is non-nil.
> I think it should compare to BEG instead.

No, because POSITION should still be in the accessible portion of the
buffer.  The function only counts the lines since from BOB, but that
doesn't imply POSITION can be outside BEGV..ZV.

> Also this, and I think the comment has a typo ("n" should be "in"?).

Yes, already fixed.

Thanks.